KF5-CONFIG(1)

NOMBRE
kf5-config - Imprime las rutas de la instalación de Qt(TM) y de Frameworks

SINOPSIS

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path tipo] [--userpath tipo] [--install tipo] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIPCIÓN

kf5-config es un programa de la línea de órdenes que se utiliza para recuperar información sobre la instalación o las rutas de usuario de Frameworks.

Utilice este programa para determinar en que parte de su sistema se encuentran instalados los distintos varios aspectos de Frameworks.

    Nota

    kf5-config es un sustituto obsoleto de kde4-config, mientras que la herramienta que se recomienda utilizar en su lugar es qtpaths (que se proporciona con Qt(TM)).

OPCIONES

--expandvars
    expande ${prefix} y ${exec_prefix} en la salida

--prefix
    Se compila en prefix para las bibliotecas de Frameworks

--exec-prefix
    Se compila en exec_prefix para las bibliotecas de Frameworks

--libsuffix
    Se compila en la ruta de la biblioteca del sufijo

--localprefix
    Se utiliza el prefijo de $HOME para escribir archivos

--version
    Versión de Qt(TM) y compilado en cadena de versión para las bibliotecas de Frameworks y ff5-config

--kde-version
    Compilado en la cadena de versión para las bibliotecas de Frameworks

--types
    Imprime una lista de los tipos de recursos disponibles en KDE

--path tipo
    Ruta de búsqueda para el tipo especificado

--userpath tipo
    Rutas de usuario para los tipos: desktop|document

--install tipo
    Prefijo para instalar los archivos de recursos en

--qt-prefix
    Prefijo de instalación para Qt(TM)

--qt-binaries
    Ubicación de los binarios de Qt(TM) instalados

--qt-libraries
    Ubicación de las bibliotecas de Qt(TM) instaladas

--qt-plugins
    Ubicación de los complementos de Qt(TM) instalados

EJEMPLOS

Imprime el directorio de instalación de Frameworks de alto nivel:

% kf5-config --prefix

Imprime una lista de todos los tipos de recursos disponibles:

% kf5-config --types

Imprime la ruta del fondo de escritorio instalado:

% kf5-config --path wallpaper

VER TAMBIÉN

kf5options(7)

FALLOS

Ninguno conocido.

AUTOR

Stephan Kulow <coolo@kde.org>
    Autor.